Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: После обновления дистрибутива удалился Wine и не ставится новая версия  (Прочитано 2092 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Vampikkkk

  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Тоже проблемы с установкой wine.
(Нажмите, чтобы показать/скрыть)
Если помешал и написал не в тему, сори.

Оффлайн Имбыч

  • Новичок
  • *
  • Сообщений: 9
    • Просмотр профиля
http://ubuntuforums.org/showthread.php?t=2154621&p=12692240

Мэинтейнер криво собрал пакеты с wine 1.6. Ждем пока пофиксит.

wine 1.5.31 можно найти здесь https://launchpad.net/~ubuntu-wine/+archive/ppa/+packages и скачать(и установить) руками.

Оффлайн Inlifeuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 27
    • Просмотр профиля
Какие файлы скачивать тут https://launchpad.net/~ubuntu-wine/+archive/ppa/+sourcepub/3232603/+listing-archive-extra ?
У меня Ubuntu 12.04 x64

И да, можно после ручной установки автоматически обновляться с репозитория?
« Последнее редактирование: 17 Июнь 2013, 00:18:34 от Inlifeuser »

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4157
  • Gentoo x64 bspwm
    • Просмотр профиля
собрать из исходников
господь ведет твою руку, сын мой....

Оффлайн Inlifeuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 27
    • Просмотр профиля
Скачал deb файлы две штуки на 32 и 64 бит, и опять не разрешенная зависимость, как разрешить эти зависимости? Способы найденные в гугле не помогают.

Пользователь решил продолжить мысль 17 Июнь 2013, 12:16:14:
Пробовал еще способ, но и тот не помог
$ sudo dpkg -i --force-all 'wine1.5-amd64_1.5.31-0ubuntu2_amd64.deb'
Выбор ранее не выбранного пакета wine1.5-amd64.
(Чтение базы данных ... на данный момент установлено 503005 файлов и каталогов.)
Распаковывается пакет wine1.5-amd64 (из файла .../wine1.5-amd64_1.5.31-0ubuntu2_amd64.deb)...
dpkg: wine1.5-amd64: проблемы зависимостей, но по вашему указанию всё равно производим настройку:
 wine1.5-amd64 зависит от wine1.5:any (= 1.5.31-0ubuntu2), однако:
  Пакет wine1.5 не установлен.
Настраивается пакет wine1.5-amd64 (1.5.31-0ubuntu2) ...
Обрабатываются триггеры для libc-bin ...
ldconfig deferred processing now taking place

Пользователь решил продолжить мысль 17 Июнь 2013, 12:40:37:
Всем спасибо, помогло решение из другой темы https://forum.ubuntu.ru/index.php?topic=223241.0, измененил репозиторий для последней версии Ubuntu 13.04.
« Последнее редактирование: 17 Июнь 2013, 12:40:37 от Inlifeuser »

Оффлайн Имбыч

  • Новичок
  • *
  • Сообщений: 9
    • Просмотр профиля
Скачал deb файлы две штуки на 32 и 64 бит, и опять не разрешенная зависимость, как разрешить эти зависимости? Способы найденные в гугле не помогают.

Пользователь решил продолжить мысль 17 Июнь 2013, 12:16:14:
Пробовал еще способ, но и тот не помог
$ sudo dpkg -i --force-all 'wine1.5-amd64_1.5.31-0ubuntu2_amd64.deb'
Выбор ранее не выбранного пакета wine1.5-amd64.
(Чтение базы данных ... на данный момент установлено 503005 файлов и каталогов.)
Распаковывается пакет wine1.5-amd64 (из файла .../wine1.5-amd64_1.5.31-0ubuntu2_amd64.deb)...
dpkg: wine1.5-amd64: проблемы зависимостей, но по вашему указанию всё равно производим настройку:
 wine1.5-amd64 зависит от wine1.5:any (= 1.5.31-0ubuntu2), однако:
  Пакет wine1.5 не установлен.
Настраивается пакет wine1.5-amd64 (1.5.31-0ubuntu2) ...
Обрабатываются триггеры для libc-bin ...
ldconfig deferred processing now taking place
Вайн - это минимум ДВА пакета(мета-пакет не обязателен) Судя по логу wine1.5_1.5.31-0ubuntu2_amd64.deb не хватает  :coolsmiley:

И да, можно после ручной установки автоматически обновляться с репозитория?
Конечно после того как там пофиксят зависимости. Пока можно просто заблокировать текущие версии пакетов вайна чтоб нечаянно не обновить( то есть поломать).
А вот сегодня все ок - пофиксили.  ;)
« Последнее редактирование: 18 Июнь 2013, 15:11:10 от Zdrrahadrln »

 

Страница сгенерирована за 0.206 секунд. Запросов: 24.